---
title: "Get Bing Ads Audience Estimation Results by id"
url: "https://docs.dataforseo.com/v3/keywords_data/bing/audience_estimation/task_get/"
date: "2026-06-06"
---

## Get Bing Ads Audience Estimation Results by id



This endpoint provides estimated audience size for an ad campaign based on specified targeting criteria. It returns data on the total estimated audience, such as suggested bid and budget for an ad campaign and estimated engagement metrics.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) GET  https://api.dataforseo.com/v3/keywords\_data/bing/audience\_estimation/task\_get/$id     

      

Pricing

  Your account will be charged only for posting a task. You can get the results of the task within the next 30 days for free.  
The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/keywords-data/bing-ads "Pricing") page.

 

 **Description of the fields for sending a request:**

| Field name | Type | Description |
|---|---|---|
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format**   you will be able to use it within **30 days** to request the results of the task at any time |

  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks.

**Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total *tasks* cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*    generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of response codes [here](https://docs.dataforseo.com/v3/appendix-errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix-errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results* |
| `est_impressions` | object | *monthly estimated impressions range* |
| `high` | integer | *indicates the upper bound of the range result* |
| `low` | integer | *indicates the lower bound of the range result* |
| `est_audience_size` | object | *monthly estimated reach user count range* |
| `high` | integer | *indicates the upper bound of the range result* |
| `low` | integer | *indicates the lower bound of the range result* |
| `est_clicks` | object | *monthly estimated click count range* |
| `high` | integer | *indicates the upper bound of the range result* |
| `low` | integer | *indicates the lower bound of the range result* |
| `est_spend` | object | *monthly estimated spending range* |
| `high` | integer | *indicates the upper bound of the range result* |
| `low` | integer | *indicates the lower bound of the range result* |
| `est_cost_per_event` | object | *indicates the estimated cost per event with range result* |
| `high` | float | *indicates the upper bound of the range result* |
| `low` | float | *indicates the lower bound of the range result* |
| `est_ctr` | object | *estimated click-through rate range* |
| `high` | float | *indicates the upper bound of the range result* |
| `low` | float | *indicates the lower bound of the range result* |
| `suggested_bid` | float | *suggested bid value under the current targeting* |
| `suggested_budget` | float | *suggested daily budget value under the current targeting and bid* |
| `events_lost_to_bid` | integer | *indicates event lost count due to insufficient input bid* |
| `events_lost_to_budget` | integer | *indicates the event lost count due to insufficient input budget* |
| `est_reach_audience_size` | integer | *monthly estimated user count* |
| `est_reach_impressions` | integer | *monthly estimated impressions* |
| `currency` | integer | *currency name*example: `USDollar` |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
id="10081455-0001-0110-0000-c75b21dcca1c" 
curl --location --request GET "https://api.dataforseo.com/v3/keywords_data/bing/audience_estimation/task_get/${id}" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw ""
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
try {
	$result = array();
	// #1 - using this method you can get a list of completed tasks
	// in addition to 'audience_estimation' you can also set other parameters
	// the full list of possible parameters is available in documentation
	// GET /v3/keywords_data/bing/audience_estimation/tasks_ready
	$tasks_ready = $client->get('/v3/keywords_data/bing/audience_estimation/tasks_ready');
	// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
	if (isset($tasks_ready['status_code']) AND $tasks_ready['status_code'] === 20000) {
		foreach ($tasks_ready['tasks'] as $task) {
			if (isset($task['result'])) {
				foreach ($task['result'] as $task_ready) {
					// #2 - using this method you can get results of each completed task
					// GET /v3/keywords_data/bing/audience_estimation/task_get/$id
					if (isset($task_ready['endpoint'])) {
						$result[] = $client->get($task_ready['endpoint']);
					}
					// #3 - another way to get the task results by id
					// GET /v3/keywords_data/bing/audience_estimation/task_get/$id
					/*
					if (isset($task_ready['id'])) {
						$result[] = $client->get('/v3/keywords_data/bing/audience_estimation/task_get/' . $task_ready['id']);
					}
					*/
				}
			}
		}
	}
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
```





```js
const task_id = '02231934-2604-0066-2000-570459f04879';

const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/keywords_data/bing/audience_estimation/task_get/' + task_id,
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# 1 - using this method you can get a list of completed tasks
# in addition to 'audience_estimation' you can also set other parameters
# the full list of possible parameters is available in documentation
# GET /v3/keywords_data/bing/audience_estimation/tasks_ready
response = client.get("/v3/keywords_data/bing/audience_estimation/tasks_ready")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response['status_code'] == 20000:
    results = []
    for task in response['tasks']:
        if (task['result'] and (len(task['result']) > 0)):
            for resultTaskInfo in task['result']:
                # 2 - using this method you can get results of each completed task
				# GET /v3/keywords_data/bing/audience_estimation/task_get/$id
                if(resultTaskInfo['endpoint']):
                    results.append(client.get(resultTaskInfo['endpoint']))
                '''
                # 3 - another way to get the task results by id
                # GET /v3/keywords_data/bing/audience_estimation/task_get/$id              
                if(resultTaskInfo['id']):
                    results.append(client.get("/v3/keywords_data/bing/audience_estimation/task_get/" + resultTaskInfo['id']))
                '''
    print(results)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task keywords_data_task_get()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // #1 - using this method you can get a list of completed tasks
            // in addition to 'audience_estimation' you can also set other parameters
            // the full list of possible parameters is available in documentation
            // GET /v3/keywords_data/bing/audience_estimation/tasks_ready
            var response = await httpClient.GetAsync("/v3/keywords_data/bing/audience_estimation/tasks_ready");
            var tasksInfo = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
            var tasksResponses = new List<object>();
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (tasksInfo.status_code == 20000)
            {
                if (tasksInfo.tasks != null)
                {
                    foreach (var tasks in tasksInfo.tasks)
                    {
                        if (tasks.result != null)
                        {
                            foreach (var task in tasks.result)
                            {
                                if (task.endpoint != null)
                                {
                                    // #2 - using this method you can get results of each completed task
                                    // GET /v3/keywords_data/bing/audience_estimation/task_get/$id
                                    var taskGetResponse = await httpClient.GetAsync((string)task.endpoint);
                                    var taskResultObj = JsonConvert.DeserializeObject<dynamic>(await taskGetResponse.Content.ReadAsStringAsync());
                                    if (taskResultObj.tasks != null)
                                    {
                                        var fst = taskResultObj.tasks.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                    // #3 - another way to get the task results by id
                                    // GET /v3/keywords_data/bing/audience_estimation/task_get/$id
                                    /*
                                    var tasksGetResponse = await httpClient.GetAsync("/v3/keywords_data/bing/audience_estimation/task_get/" + (string)task.id);
                                    var taskResultObj = JsonConvert.DeserializeObject<dynamic>(await tasksGetResponse.Content.ReadAsStringAsync());
                                    if (taskResultObj.tasks != null)
                                    {
                                        var fst = taskResultObj.tasks.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                    */
                                }
                            }
                        }
                    }
                }
                if (tasksResponses.Count > 0)
                    // do something with result
                    Console.WriteLine(String.Join(Environment.NewLine, tasksResponses));
                else
                    Console.WriteLine("No completed tasks");
            }
            else
                Console.WriteLine($"error. Code: {tasksInfo.status_code} Message: {tasksInfo.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20240801",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "09271515-1535-0594-0000-37caebb347d4",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0 sec.",
      "cost": 0,
      "result_count": 1,
      "path": [
        "v3",
        "keywords_data",
        "bing",
        "audience_estimation",
        "task_get",
        "09271515-1535-0594-0000-37caebb347d4"
      ],
      "data": {
        "api": "keywords_data",
        "function": "audience_estimation",
        "se": "bing",
        "id": "09271515-1535-0594-0000-37caebb347d4",
        "location_coordinate": "29.6821525,-82.4098881,100",
        "age": [
          "twenty_five_to_thirty_four",
          "eighteen_to_twenty_four",
          "unknown"
        ],
        "bid": 1,
        "daily_budget": 24,
        "gender": [
          "male"
        ],
        "industry": [
          806303407,
          806301758
        ],
        "job_function": [
          806298607
        ]
      },
      "result": [
        {
          "est_impressions": {
            "high": 476200,
            "low": 119000
          },
          "est_audience_size": {
            "high": 7400,
            "low": 1800
          },
          "est_clicks": {
            "high": 2100,
            "low": 530
          },
          "est_spend": {
            "high": 723,
            "low": 181
          },
          "est_cost_per_event": {
            "high": 1,
            "low": 0.34
          },
          "est_ctr": {
            "high": 0.67,
            "low": 0.27
          },
          "suggested_bid": 1.6,
          "suggested_budget": 100,
          "events_lost_to_bid": 0,
          "events_lost_to_budget": 0,
          "est_reach_audience_size": 33400,
          "est_reach_impressions": 6500000,
          "currency": "USDollar"
        }
      ]
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp